claw::bad_format Class Reference

Exception thrown when accessing bad formated data. More...

`#include <exception.hpp>`

Inheritance diagram for claw::bad_format:

## Public Member Functions

| bad_format (const std::string &msg) throw ()
| Constructor.
Public Member Functions inherited from claw::exception
| exception (const std::string &msg) throw ()
| Constructor.
| ~exception () throw ()
| Desctructor.
const char * | what () const throw ()
| Get a short description of the problem.

## Detailed Description

Exception thrown when accessing bad formated data.

Author
  Julien Jorge

Definition at line 70 of file exception.hpp.

## Constructor & Destructor Documentation

## bad_format()

claw::bad_format::bad_format | ( | const std::string & | msg | ) |
throw | ( | ) |  |  |

inline

Constructor.

Parameters

  msg | A short description of the problem.

Definition at line 78 of file exception.hpp.

The documentation for this class was generated from the following file:

- exception.hpp